記事投稿画面で『エディターで予期しないエラーが発生しました』と表示される場合

WordPress5.0系で記事投稿時に『エディターで予期しないエラーが発生しました』と表示される

サーバーを移転して、Apache + PHP + MariaDB で構築されているのを、nginx + PHP + MariaDB に変更しました。PHPのバージョンも7.3まで上げてwordpressのサイトは表示されて管理画面に入れるようになったのですが、テスト的に記事を投稿しようと思ったら「エディターで予期しないエラーが発生しました」と表示され記事投稿ができません。

過去記事でクイック編集はできるので、WEBサーバーとDBサーバーの連携もおかしくないし、PHP7.3に上げているのでプラグインがPHP 7.3 に対応してないとか考えて、プラグインを無効にしても結果は同じです。

同様の不具合がないから調べると、WordPress5.0系から投稿画面のエディターが「ブロックエディター」になってその不具合のような記事をみかけました。

不具合解消には、「ブロックエディター」を使わずに、以前のエディターの「Classic Editor」を使えばいいとの事です。

プラグイン」 → 「新規追加」 → 「Classic Editor」 → 「プラグインを有効化

といった感じで、「Classic Editor」を有効にすれば、投稿画面での「エディターで予期しないエラーが発生しました」は解消されました

スポンサーリンク